class EqQuestionBo {
  EqQuestionBo({
    this.data,
  });

  EqQuestionBo.fromJson(dynamic json) {
    data = json['data'] != null ? DataEq.fromJson(json['data']) : null;
  }

  DataEq? data;

  EqQuestionBo copyWith({
    DataEq? data,
  }) =>
      EqQuestionBo(
        data: data ?? this.data,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (data != null) {
      map['data'] = data?.toJson();
    }
    return map;
  }
}

class DataEq {
  DataEq({
    this.num,
    this.pdNum,
    this.dxNum,
  });

  DataEq.fromJson(dynamic json) {
    num = json['num'];
    pdNum = json['pdNum'];
    dxNum = json['dxNum'];
  }

  int? num;
  int? pdNum;
  int? dxNum;

  DataEq copyWith({
    int? num,
    int? pdNum,
    int? dxNum,
  }) =>
      DataEq(
        num: num ?? this.num,
        pdNum: pdNum ?? this.pdNum,
        dxNum: dxNum ?? this.dxNum,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['num'] = num;
    map['pdNum'] = pdNum;
    map['dxNum'] = dxNum;
    return map;
  }
}
